#ifndef __CMDS_P_H__
#define __CMDS_P_H__

extern int internal_self_insert _P_((char c1, int noautofill));
extern _VOID_ syms_of_cmds _P_((void));
extern _VOID_ keys_of_cmds _P_((void));

DEFUN_P(Fforward_char, (Lisp_Object n));
DEFUN_P(Fbackward_char, (Lisp_Object n));
DEFUN_P(Fforward_line, (Lisp_Object n));
DEFUN_P(Fbeginning_of_line, (Lisp_Object n));
DEFUN_P(Fend_of_line, (Lisp_Object n));
DEFUN_P(Fdelete_char, (Lisp_Object n, Lisp_Object killflag));
DEFUN_P(Fdelete_backward_char, (Lisp_Object n, Lisp_Object killflag));
DEFUN_P(Fself_insert_command, (Lisp_Object arg));
DEFUN_P(Fnewline, (Lisp_Object arg1));

#endif
